petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerASCIIOpenWithFILE

Given an open file creates an ASCII viewer that prints to it.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscViewerASCIIOpenWithFILE(MPI_Comm comm,FILE *fd,PetscViewer *lab)

Collective on MPI_Comm

### Input Parameters

| comm | - the communicator
| fd | - the FILE pointer

### Output Parameter

lab -the PetscViewer to use with the specified file

### Notes

This PetscViewer can be destroyed with PetscViewerDestroy(), but the fd will NOT be closed.

If a multiprocessor communicator is used (such as PETSC_COMM_WORLD), then only the first processor in the group uses the file. All other processors send their data to the first processor to print.

### See Also

MatView(), VecView(), PetscViewerDestroy(), PetscViewerBinaryOpen(),
PetscViewerASCIIGetPointer(), PetscViewerPushFormat(), PETSC_VIEWER_STDOUT_, PETSC_VIEWER_STDERR_, PETSC_VIEWER_STDOUT_WORLD, PETSC_VIEWER_STDOUT_SELF, PetscViewerASCIIOpen()

Level:beginner
Location:src/sys/classes/viewer/impls/ascii/vcreatea.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages